ubuntu 18.10 samba 無法安裝 [論壇 - 新手村]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



ubuntu 18.10 samba 無法安裝
會員一級
註冊日期:
2018/6/24 13:56
來自 TAIPEI
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 2
MP : 1 / 7
EXP: 10
離線
本人剛安裝完 Ubuntu 18.10
接著要安裝 samba 卻出現

E: Unable to locate package samba

查找網路很多種資料始終都是出現
Reading package lists... Done
Building dependency tree
E: Unable to locate package samba

請問,這到底是哪裡的問題,我換圓了也還是一樣!


電腦資料如下
XXX@shugung-server:~$ sudo apt install -y samba
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package samba
XXX@shugung-server:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.10
Release: 18.10
Codename: cosmic
XXX@shugung-server:~$

2018/12/23 15:51
應用擴展 工具箱
回覆: ubuntu 18.10 samba 無法安裝
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 34
HP : 169 / 845
MP : 571 / 17733
EXP: 81
離線
我還沒在「18.10」測試過,以下指令先提供您參考,不確定是否符合您的狀況

執行下面指令,觀看「/var/lib/apt/lists/」是否有資料


$ ls /var/lib/apt/lists/ -1



===========================================================

執行下面指令,更新套件庫的資訊


$ sudo apt-get update



或是執行下面指令


$ sudo apt update



===========================================================

接著就可以執行


$ sudo apt-get install samba



或是


$ sudo apt install samba



===========================================================

在還沒執行上面指令前,你可以先執行下面指令觀看「samba」這個「package」的相關資訊。


$ apt-cache show samba



執行下面指令,則是觀看「samba」的「Source Package: samba」的相關資訊。


$ apt-cache showsrc samba



===========================================================

下面指令,則是使用「samba」當關鍵字查詢


$ apt-cache search samba



或是下面另一種方式,查詢「samba」開頭的「package」。


$ apt-cache pkgnames samba



===========================================================

執行下面指令,則會知道,下載的網址


$ apt-get download samba --print-uris



一些可以加入「--print-uris」的動作,我之前有紀錄「在這」,提供參考。

有可能相關的網址如下

* http://tw.archive.ubuntu.com/ubuntu/pool/main/s/samba/
* http://us.archive.ubuntu.com/ubuntu/pool/main/s/samba/

* http://tw.archive.ubuntu.com/ubuntu/dists/cosmic/
* http://us.archive.ubuntu.com/ubuntu/dists/cosmic/

相關的概念討論,可以參考「#2 回覆: apt 出現許多錯誤訊息

===========================================================

也可以直接探索「/var/lib/apt/lists/」這個資料夾

執行


$ grep '^Package: samba$' /var/lib/apt/lists/* -R -n



或是執行


$ grep '^Package: samba$' /var/lib/apt/lists/* -R -n -A 10



可以執行下面指令,對照所顯示的結果


$ apt-cache dumpavail | grep '^Package: samba$' -A 10



也可以執行下面指令,對照所顯示的結果


$ apt-cache showpkg samba



===========================================================

或是可以善用工具組「dctrl-tools」。

例如,其中有一個指令「grep-aptavail

以下簡易的執行範例


$ grep-aptavail --eq -F Package samba



或是執行


$ grep-aptavail --exact-match -F Package samba



===========================================================

$ man apt

$ man apt-get

$ man apt-cache

$ man sources.list


===========================================================

* https://help.ubuntu.com/lts/serverguide/index.html
* https://help.ubuntu.com/lts/serverguide/samba.html.en
* https://help.ubuntu.com/lts/serverguide/samba-fileserver.html.en

===========================================================

更多的套件操作案例和參考連結,之前有紀錄在「[索引] 套件操作實務」。

您可以嘗試先測測看「sudo apt update」,若有新的線索,可以再提出來討論。

===========================================================

以上提供參考,報告完畢


2018/12/23 21:45
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.